#!/bin/sh

if test "$1" = "--cxx"; then
  cd "$2"
  export SOURCE=`ls *.c 2>/dev/null`
  if test "$SOURCE" = ""; then
    exit 0;
  else
    exit 1;
  fi
else
  cd "$1"
  export SOURCE=`ls *.c *.cc *.cpp 2>/dev/null`
  echo $SOURCE
fi

